Loading...
Searching...
No Matches
CBot::CBotDefParam Class Reference

The CBotDefParam class A list of parameters. More...

`#include <src/CBot/CBotDefParam.h>`

Inheritance diagram for CBot::CBotDefParam:
[legend]

## Public Member Functions

| CBotDefParam ()
| CBotDefParam.
| ~CBotDefParam ()
| ~CBotDefParam
bool | Execute (CBotVar **ppVars, CBotStack *&pj)
| Execute.
bool | HasDefault ()
| Check if this parameter has a default value expression.
void | RestoreState (CBotStack *&pj, bool bMain)
| RestoreState.
int | GetType ()
| GetType.
CBotTypResult | GetTypResult ()
| GetTypResult.
std::string | GetParamString ()
| GetParamString.
Public Member Functions inherited from CBot::CBotLinkedList< CBotDefParam >
virtual | ~CBotLinkedList ()
| Destructor. Be careful, destroys the whole linked list!
CBotDefParam * | GetNext ()
| Returns the next variable in the linked list.
void | AddNext (CBotDefParam *elem)
| Appends a new element at the end of the linked list.

## Static Public Member Functions

static CBotDefParam * | Compile (CBotToken *&p, CBotCStack *pStack)
| Compile Compiles a list of parameters.

## Additional Inherited Members

Protected Attributes inherited from CBot::CBotLinkedList< CBotDefParam >
CBotDefParam * | m_next

## Detailed Description

The CBotDefParam class A list of parameters.

## Constructor & Destructor Documentation

## CBotDefParam()

CBot::CBotDefParam::CBotDefParam | ( |  | ) |

CBotDefParam.

## ~CBotDefParam()

CBot::CBotDefParam::~CBotDefParam | ( |  | ) |

~CBotDefParam

## Member Function Documentation

## Compile()

CBotDefParam * CBot::CBotDefParam::Compile | ( | CBotToken *& | p,
|  | CBotCStack * | pStack )

static

Compile Compiles a list of parameters.

Parameters

  p |
  pStack |

Returns

## Execute()

bool CBot::CBotDefParam::Execute | ( | CBotVar ** | ppVars,
|  | CBotStack *& | pj )

Execute.

Parameters

  ppVars |
  pj |

Returns

## HasDefault()

bool CBot::CBotDefParam::HasDefault | ( |  | ) |

Check if this parameter has a default value expression.

Returns
  true if the parameter was compiled with a default value.

## RestoreState()

void CBot::CBotDefParam::RestoreState | ( | CBotStack *& | pj,
|  | bool | bMain )

RestoreState.

Parameters

  pj |
  bMain |

## GetType()

int CBot::CBotDefParam::GetType | ( |  | ) |

GetType.

Returns

## GetTypResult()

CBotTypResult CBot::CBotDefParam::GetTypResult | ( |  | ) |

GetTypResult.

Returns

## GetParamString()

std::string CBot::CBotDefParam::GetParamString | ( |  | ) |

GetParamString.

Returns

The documentation for this class was generated from the following files:

- src/CBot/CBotDefParam.h
- src/CBot/CBotDefParam.cpp